Qt5.5.0,qt-everywhere-opensource-src-5.5.0版本的linux-ARM平台编译

zyflinux 发布于 2016/05/03 16:19
阅读 898
收藏 0

最近在编译在arm-linux 上用的QT5.5.0的库,如标题在官网上下的,不知道是配置的问题总是不行,出过上百个问题,不一样的配置出的问题不一样。我是按照网上的配置以及./configure 的配置但是没有一次是跟网上的一样直接到结果,我特别想把我的问题贴上来,但是想了想估计没用,因为在这10天左右的时间我尝试了无数次改变,所以出过无数次问题。问题说的太多了容易干扰。所以,现在想跟各位有经验的大神问一条能走通的路。 用哪个版本的qt源码,./configure后边的参数到底该怎么填,可以让我编译通过。我把英文手册阅读了一遍还是提取不出什么有价值的东西,总之一句话,真的是走投无路,黔驴技穷了。各位大神如果不帮我这个项目就卡到这了,公司没有这块的人我也是赶鸭子上架强行来搞。我不知道编译一个arm上用的qt5.5.0的库到底有多难。难到出了问题在很多qt的群里问没人理,网上搜问题没有结果,难道大家都是参数随便一填就编译过了吗? 我现在真的需要一条能直接过去的路,只有过去了我才能反过来看这些参数的作用,增增减减才能揣摩清楚各个的用法,不会像现在./configure这都过不去。 现在我在下边贴出来几个./configure出的问题定位下问题把。

1. Could not determine the target architecture

2. the test for linking against libxcb failed! you might need to install dependency packages for libxcb.  See src/plugins/platforms/xcb/README (这个文档里提供的需要安装的库我已经安装了都)

我参数就先不写出来了,网上一搜挺多的我就是按那个用的。 如果各位大神确实需要看我就贴上来。 谢谢。

加载中
返回顶部
顶部